## com.baidubce.services.bos.model
Class UploadPartRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.GenericUploadRequest
                      com.baidubce.services.bos.model.UploadPartRequest

    public class UploadPartRequest

extends GenericUploadRequest

Contains the parameters used for the UploadPart operation on Baidu Bos.

Required Parameters: BucketName, Key, UploadId, PartNumber

Constructor Summary
`UploadPartRequest()`
`UploadPartRequest(String bucketName, String key, String uploadId, int partNumber, long partSize, InputStream inputStream)` Constructs a new UploadPartRequest object to upload a stream of data to the specified bucket and key,

Method Summary
`InputStream` `getInputStream()` Returns the stream containing the data to upload for the new part.
`String` `getMd5Digest()` Returns the optional, but recommended, MD5 hash of the content of this part.
`int` `getPartNumber()` Returns the part number describing this part's position relative to the other parts in the multipart upload.
`long` `getPartSize()` Returns the size of this part, in bytes.
`void` `setInputStream(InputStream inputStream)` Sets the stream containing the data to upload for the new part.
`void` `setMd5Digest(String md5Digest)` Sets the optional, but recommended, MD5 hash of the content of this part.
`void` `setPartNumber(int partNumber)` Sets the part number describing this part's position relative to the other parts in the multipart upload.
`void` `setPartSize(long partSize)` Sets the size of this part, in bytes.
`UploadPartRequest` `withBucketName(String bucketName)` Sets the name of the bucket containing the existing, initiated multipart upload, with which this new part will be associated, and returns this updated object so that additional method calls can be chained together.
`UploadPartRequest` `withInputStream(InputStream inputStream)` Sets the stream containing the data to upload for the new part, and returns this updated object so that additional method calls can be chained together.
`UploadPartRequest` `withKey(String key)` Sets the key of the initiated multipart upload, and returns this updated object so that additional method calls can be chained together.
`UploadPartRequest` `withMD5Digest(String md5Digest)` Sets the optional, but recommended, MD5 hash of the content of this part.
`UploadPartRequest` `withPartNumber(int partNumber)` Sets the part number describing this part's position relative to the other parts in the multipart upload.
`UploadPartRequest` `withPartSize(long partSize)` Sets the size of this part, in bytes, and returns this updated UploadPartRequest object so that additional method calls can be chained together.
`UploadPartRequest` `withRequestCredentials(BceCredentials credentials)`
`UploadPartRequest` `withUploadId(String uploadId)` Sets the ID of the existing, initiated multipart upload with which this new part will be associated, and returns this updated UploadPartRequest object so that additional method calls can be chained together.

Methods inherited from class com.baidubce.services.bos.model.GenericUploadRequest
`getUploadId, setUploadId`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadPartRequest

    public UploadPartRequest()

### UploadPartRequest

    public UploadPartRequest(String bucketName,
                             String key,
                             String uploadId,
                             int partNumber,
                             long partSize,
                             InputStream inputStream)

  Constructs a new UploadPartRequest object to upload a stream of data to the specified bucket and key,

  Parameters:
    `bucketName` - The name of the bucket containing the initiated multipart upload with which this new part will be associated.
    `key` - The key of the initiated multipart upload.
    `uploadId` - The ID of an existing, initiated multipart upload, with which this new part will be associated.
    `partNumber` - The part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).
    `partSize` - The size of this part, in bytes.
    `inputStream` - The stream containing the data to upload for the new part. Exactly one File or InputStream must be specified as the input to this operation.

Method Detail

### withRequestCredentials

    public UploadPartRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public UploadPartRequest withBucketName(String bucketName)

  Sets the name of the bucket containing the existing, initiated multipart upload, with which this new part will be associated, and returns this updated object so that additional method calls can be chained together.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - the name of the bucket containing the existing, initiated multipart upload, with which this new part will be associated.
  Returns:
    This updated UploadPartRequest object.

### withKey

    public UploadPartRequest withKey(String key)

  Sets the key of the initiated multipart upload, and returns this updated object so that additional method calls can be chained together.

  Specified by:
    `withKey` in class `GenericObjectRequest`
  Parameters:
    `key` - the key of the initiated multipart upload.
  Returns:
    This updated UploadPartRequest object.

### withUploadId

    public UploadPartRequest withUploadId(String uploadId)

  Sets the ID of the existing, initiated multipart upload with which this new part will be associated, and returns this updated UploadPartRequest object so that additional method calls can be chained together.

  Specified by:
    `withUploadId` in class `GenericUploadRequest`
  Parameters:
    `uploadId` - the ID of the existing, initiated multipart upload with which this new part will be associated.
  Returns:
    This updated UploadPartRequest object.

### getPartNumber

    public int getPartNumber()

  Returns the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

  Returns:
    the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

### setPartNumber

    public void setPartNumber(int partNumber)

  Sets the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

  Parameters:
    `partNumber` - the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

### withPartNumber

    public UploadPartRequest withPartNumber(int partNumber)

  Sets the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

  Returns this updated UploadPartRequest object so that additional method calls can be chained together.

  Parameters:
    `partNumber` - the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).
  Returns:
    This updated UploadPartRequest object.

### getPartSize

    public long getPartSize()

  Returns the size of this part, in bytes.

  Returns:
    the size of this part, in bytes.

### setPartSize

    public void setPartSize(long partSize)

  Sets the size of this part, in bytes.

  Parameters:
    `partSize` - the size of this part, in bytes.

### withPartSize

    public UploadPartRequest withPartSize(long partSize)

  Sets the size of this part, in bytes, and returns this updated UploadPartRequest object so that additional method calls can be chained together.

  Parameters:
    `partSize` - the size of this part, in bytes.
  Returns:
    This updated UploadPartRequest object.

### getMd5Digest

    public String getMd5Digest()

  Returns the optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.

  Returns:
    The optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.

### setMd5Digest

    public void setMd5Digest(String md5Digest)

  Sets the optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.

  Parameters:
    `md5Digest` - The optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.

### withMD5Digest

    public UploadPartRequest withMD5Digest(String md5Digest)

  Sets the optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.

  Returns this updated UploadPartRequest object so that additional method calls can be chained together.

  Parameters:
    `md5Digest` - The optional, but recommended, MD5 hash of the content of this part. If specified, this value will be sent to Baidu Bos to verify the data integrity when the data reaches Baidu Bos.
  Returns:
    This updated UploadPartRequest object.

### getInputStream

    public InputStream getInputStream()

  Returns the stream containing the data to upload for the new part.

  Returns:
    the stream containing the data to upload for the new part.

### setInputStream

    public void setInputStream(InputStream inputStream)

  Sets the stream containing the data to upload for the new part.

  Parameters:
    `inputStream` - the stream containing the data to upload for the new part.

### withInputStream

    public UploadPartRequest withInputStream(InputStream inputStream)

  Sets the stream containing the data to upload for the new part, and returns this updated object so that additional method calls can be chained together.

  Parameters:
    `inputStream` - the stream containing the data to upload for the new part.
  Returns:
    The updated UploadPartRequest object.

Copyright © 2016. All rights reserved.